
Panel - Bug # 158: Can't pay by Bitcoin - CSRF error

Status: Closed Priority: Normal

Author: jetalone Category:

Created: 2017-04-23 Assigned to:

Updated: 2017-04-26 Due date:

Subject: Can't pay by Bitcoin - CSRF error

Description: The error is "Anti-CSRF token missing!"; I tried both Safari 10.1 (11603.1.30.0.34) and Firefox 52.0.2 on OS 

X 10.11.6.

History

2017-04-23 23:52 - admin

- Status changed from New to In Progress

Sorry about that. Will be a bug introduced when adding anti-Cross Site Request Forgery checks for issue #156. Looking into it now.

2017-04-23 23:56 - admin

- Project changed from Billing to Panel

2017-04-24 02:43 - admin

- Status changed from In Progress to Feedback

I believe this is now fixed. Please could you give it another try? Thanks!

2017-04-24 02:58 - jetalone

We're sorry, there was a problem with our bitcoin server. We've now been made aware of the problem and are looking into it, so please try again later.

2017-04-24 03:21 - admin

Sorry, that is just the result of a timeout while the bitcoind was busy catching up with the blockchain. I need to make it handle that better, but I still think 

the original (CSRF) problem is fixed so if you can give it another try it should go through.

2017-04-26 03:47 - jetalone

Works, receives payment, marks invoice as paid. Looks closable.

2017-04-26 03:54 - admin

- Status changed from Feedback to Closed

Thanks. I have also moved the blockchain data onto SSD-backed storage which will hopefully help prevent the daemon getting behind on updates, 

blocking and causing a timeout.



I also need to upgrade the bitcoind to take advantage of some performance improvements in later releases, but this will need an OS upgrade of the 

VM it's on and this is not a huge priority as we receive only around 1 bitcoin payment every months or two.
